## galternatives 0.90.0

=== resources/Makefile ===
DESKTOP_SRC := $(wildcard *.desktop.in)
DESKTOP := $(DESKTOP_SRC:.in=)
POLICY_SRC := $(wildcard *.policy.in)
POLICY := $(POLICY_SRC:.in=)
DESC_SRC := $(wildcard descriptions/*.desktop.in)
DESC := $(DESC_SRC:.in=)
GLADE := $(wildcard glade/*.glade)
UI := $(wildcard glade/*.ui)
GLADE += $(UI:.ui=.glade)
TRANSLATION_SRC := $(wildcard translations/*.po)
TRANSLATION := $(TRANSLATION_SRC:translations/%.po=locale/%/LC_MESSAGES/galternatives.mo)
SRC := $(wildcard ../galternatives/*.py)
space :=
space +=

.PHONY: all extract update clean

# all

all: $(DESKTOP) $(POLICY) $(DESC) $(TRANSLATION)

%.desktop: %.desktop.in
	intltool-merge -d translations $< $@

%.policy: %.policy.in
	intltool-merge -x translations $< $@

locale/%/LC_MESSAGES/galternatives.mo: translations/%.po
	mkdir -p $(dir $@)
	msgfmt --statistics -o $@ $<

# extract

extract: translations/POTFILES.in
	(cd translations; intltool-update -g galternatives -p)

translations/POTFILES.in: $(SRC) $(DESKTOP_SRC) $(POLICY_SRC) $(DESC_SRC) $(GLADE)
	echo '[encoding: UTF-8]' > $@
	echo $(subst $(space),\\n,$(SRC)) >> $@
	echo $(subst $(space),\\n,$(DESKTOP_SRC)) >> $@
	echo $(subst $(space),\\n,$(POLICY_SRC)) >> $@
	echo $(subst $(space),\\n,$(DESC_SRC)) >> $@
	echo $(subst $(space),\\n,$(GLADE)) >> $@

%.glade: %.ui
	ln -s $(notdir $<) $@

# update

update: $(TRANSLATION_SRC:.po=.update.po)

%.update.po: %.po
	msgmerge -o $@ $< translations/galternatives.pot
	mv $@ $<

# clean

clean:
	rm -f $(DESKTOP) $(POLICY) $(DESC) $(UI:.ui=.glade) translations/POTFILES.in
	rm -rf locale

## galternatives 0.8

=== debian/changelog ===
galternatives (0.8) unstable; urgency=low

  * New release
  * galternatives/main.py:
  - fixed problems with toggle buttons and manual/auto 
    menu not behaving (Closes: #254350, #254406)
  * debian/control:
  - added python to Build-Depends-Indep (Closes: 254141)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 14 Jun 2004 19:01:16 -0300

galternatives (0.7) unstable; urgency=low

  * New release
  - first release to unstable
  - uses first-try setup.py
  * main.py, galternatives, alternative.py:
  - modified to accept the new locations of the descriptions,
    image and description files (/usr/share/galternatives subdirs)
  - galternative is now a Python script instead of a
    shell script
  * debian/galternatives.menu:
  - added quotes to make lintian happy
  * debian/control:
  - Standards-Version 3.6.1, no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 Jun 2004 12:31:13 -0300

galternatives (0.6) experimental; urgency=low

  * New release
  * main.py:
  - add option dialog now has the file selector that works and
    the spinbutton is being taken into account
  * translations/fr.po:
  - new translation, by seb128!

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 22 Jan 2004 13:01:54 -0200

galternatives (0.5) experimental; urgency=low

  * New release
  * main.py:
  - fixed problem with image
  - made debuging optional through a --debug command line
    (Closes: #226336)
  * debian/galternatives.install:
  - use pixmaps/galternatives.png to install, instead of
    ./galternatives.png, which I now removed
  * debian/docs, TODO:
  - adding a small TODO file to list what needs to be worked
    on right now

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  9 Jan 2004 02:31:31 -0200

galternatives (0.4) experimental; urgency=low

  * New release
  - implements adding and removing options
  - better parser, now uses /var/lib/dpkg/alternatives/ files,
    no longer parses update-alternatives output

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 22 Dec 2003 23:34:27 -0200

galternatives (0.3) experimental; urgency=low

  * New release
  - implementing menu stuff, credits and basic UI for new
    features like adding new alternatives/options

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  7 Dec 2003 13:40:07 -0200

galternatives (0.2) experimental; urgency=low

  * New release
  - provide basic infra-structure to handle descriptions for the
    alternatives

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 17 Nov 2003 23:56:11 -0200

galternatives (0.1) experimental; urgency=low

  * Initial release.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Nov 2003 09:37:01 -0200

=== debian/control ===
Source: galternatives
Section: admin
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends-Indep: cdbs, debhelper (>= 4.1.0), python, intltool, gettext
Standards-Version: 3.6.1

Package: galternatives
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python-glade2, gksu (>= 0.8.0)
Description: graphical setup tool for the alternatives system
 A GUI to help the system administrator to choose what program
 should provide a given service.
 .
 This is a graphical front-end to the update-alternatives
 program shipped with dpkg.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

pre-build::
	/bin/sh translations/update-translations.sh

binary-post-install/galternatives::
	/bin/sh translations/install-translations.sh
	dh_python -pgalternatives

## galternatives 0.11

=== debian/changelog ===
galternatives (0.11) unstable; urgency=low

  * New release
  * galternatives/main.py, galternatives/galternatives:
  - look for /usr/bin/gksu before using it when being ran by a 
    normal user and, if it is not found, show a dialog saying
    things are probably not work.
  * debian/control:
  - change Depends on gksu to Recommends and conflicts with
    versions before 0.8.0, to avoid breakage (Closes: #276967)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  8 Dec 2004 00:05:26 -0200

galternatives (0.10) unstable; urgency=medium

  * New release
  * galternatives/alternative.py:
  - no longer provide a default argument to 'status' on
    Alternative.set_option_status method
  * galternatives/main.py:
  - fixed property names to use the Alternative class instead
    of the old self.* stuff for the alternative name and link
    (Closes: #281629)
  * urgency medium because it fixes a nasty bug

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 22 Nov 2004 01:53:02 -0200

galternatives (0.9) unstable; urgency=low

  * New release
  * galternatives/main.py, galternatives/alternative.py:
  - also include 'unixname' to hold the name of the file and
    alternative besides the name given by the description
    file (Closes: #263547)
  * galternatives/main.py:
  - replace all gtk.mainloop's for gtk.main's and all
    gtk.mainquit's for gtk.main_quit's (Closes: #275590)
  - options are now ordered by priority (Closes: #256538)
  * translations/{update-po,merge-translations}.sh:
  - fixed to show what languages are being dealt with at the
    moment
  * translations/pt_BR/galternatives.po:
  - translation updated

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 11 Oct 2004 16:05:07 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 Package: galternatives
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python-glade2, gksu (>= 0.8.0)
+Depends: python (>= 2.3), python (<< 2.4), python-glade2
+Recommends: gksu
+Conflicts: gksu (<< 0.8.0)
 Description: graphical setup tool for the alternatives system
  A GUI to help the system administrator to choose what program
  should provide a given service.

## galternatives 0.11ubuntu1

=== debian/changelog ===
galternatives (0.11ubuntu1) hoary; urgency=low

  * Python transition (2.3 -> 2.4)
  * standards version (3.6.1.1 -> 3.6.1)

 -- Daniel Holbach <dh@mailempfang.de>  Tue, 15 Feb 2005 00:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Build-Depends-Indep: cdbs, debhelper (>= 4.1.0), python, intltool, gettext
-Standards-Version: 3.6.1
+Build-Depends-Indep: cdbs, debhelper (>= 4.1.0), python (>= 2.4), python (<< 2.5), intltool, gettext
+Standards-Version: 3.6.1.1
 
 Package: galternatives
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python-glade2
+Depends: ${python:Depends}, python-glade2
 Recommends: gksu
 Conflicts: gksu (<< 0.8.0)
 Description: graphical setup tool for the alternatives system

## galternatives 0.12ubuntu1

=== debian/changelog ===
galternatives (0.12ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * debian/control: Bumped standards version

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 26 Nov 2005 18:14:52 +0100

galternatives (0.12) unstable; urgency=low

  * debian/galternatives.menu:
  - accepted patch by Guilherme de S. Pastore <gpastore@colband.com.br>
    to fix the misuse of the hints field (Closes: #314398)
  * translations/fr.po:
  - updated by Christian Perrier <bubulle@debian.org> (Closes: #298520)
  * galternatives/main.py:
  - accepted patch by Kazuhiro NISHIYAMA <zn@mbf.nifty.com> to sort 
    by priority and right-align it (Closes: #301002)
  * debian/control:
  - increased Standards-Version with no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 17 Aug 2005 22:41:25 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gustavo Noronha Silva <kov@debian.org>
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.0), python (>= 2.4), python (<< 2.5), intltool, gettext
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2
 
 Package: galternatives
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+clean::
+	rm -f galternatives/*pyc
+	rm -f translations/*mo
 
 pre-build::
 	/bin/sh translations/update-translations.sh

## galternatives 0.13.3ubuntu1

=== debian/changelog ===
galternatives (0.13.3ubuntu1) edgy; urgency=low

  * Merge from debian unstable

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Tue, 08 Aug 2006 00:41:14 +0100

galternatives (0.13.3) unstable; urgency=low

  * QA Upload
  * Add Manpage (Closes: #379563)
    debian/rules: add DEB_INSTALL_MANPAGES_xx

 -- Michael Ablassmeier <abi@debian.org>  Mon,  7 Aug 2006 17:22:31 +0200

galternatives (0.13.2) unstable; urgency=low

  * QA upload.
  * Update package to the last python policy (Closes: #380803).

 -- Pierre Habouzit <madcoder@debian.org>  Tue,  1 Aug 2006 21:39:35 +0200

galternatives (0.13.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable:
     - keep versionned python Build Dep
     - use python2.4

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Mon, 03 Jul 2006 21:05:28 +0100

galternatives (0.13.1) unstable; urgency=low

  * QA Upload
  * Add Swedish and Czech translations (Closes: #348058, #361665)
  * Move Debhelper and CDBS to Build-Depends
  * Conforms with new Standards Version 

 -- Michael Ablassmeier <abi@debian.org>  Wed, 17 May 2006 14:48:10 +0200

galternatives (0.13) unstable; urgency=low

  * Orphaning thepackage.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 29 Apr 2006 12:10:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Build-Depends-Indep: cdbs, debhelper (>= 4.1.0), python (>= 2.4), python (<< 2.5), intltool, gettext
-Standards-Version: 3.6.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 4.1.0), cdbs
+Build-Depends-Indep: python (>= 2.4), python-support (>=0.3), intltool, gettext
+Standards-Version: 3.7.2
 
 Package: galternatives
 Architecture: all

## galternatives 0.13.4

=== debian/changelog ===
galternatives (0.13.4) unstable; urgency=low

  * QA upload.
  * translations/merge-translations.sh: Fix bashism.  Closes: #384824.
  * Build-depend on debhelper (>= 5.0.37.2) for new dh_python.

 -- Matej Vela <vela@debian.org>  Sun, 27 Aug 2006 10:13:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 4.1.0), cdbs
-Build-Depends-Indep: python (>= 2.4), python-support (>=0.3), intltool, gettext
+Build-Depends: debhelper (>= 5.0.37.2), cdbs
+Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext
 Standards-Version: 3.7.2
 
 Package: galternatives

## galternatives 0.13.4ubuntu1

=== debian/changelog ===
galternatives (0.13.4ubuntu1) hardy; urgency=low

  * debian/control:
    - updated maintainer field
  * galternatives.desktop.in:
    - removed deprecated Encoding field
    - removed deprecated Application entry from Categories field 
    - updated Icon field
    - removed X-GNOME-DocPath and TryExec fields (LP: #104998)
  * galternatives.desktop:
    - removed deprecated Encoding field
    - removed deprecated Application entry from Categories field 
    - updated Icon field  
    - removed X-GNOME-DocPath and TryExec fields

 -- Mario Bonino <mariobonino@ubuntu-it.org>  Wed, 05 Dec 2007 12:56:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), cdbs
 Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+DEB_INSTALL_MANPAGES_galternatives:=debian/galternatives.1
 
 clean::
 	rm -f galternatives/*pyc
@@ -11,4 +12,5 @@
 
 binary-post-install/galternatives::
 	/bin/sh translations/install-translations.sh
+	dh_pysupport -pgalternatives
 	dh_python -pgalternatives

## galternatives 0.13.5%2Bnmu4%2Bdeb9u1

=== debian/changelog ===
galternatives (0.13.5+nmu4+deb9u1) stretch; urgency=medium

  * Adopt and switch maintainer information.
  * Fix the bug which causes properties window blank. Closes: #325172

 -- Boyuan Yang <073plan@gmail.com>  Wed, 14 Jun 2017 10:17:30 +0800

galternatives (0.13.5+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate from python-support to dh-python.  Closes: #786258
  * Use source format 3.0 (native).
  * debian/control:
    + add dependency on ${misc:Depends}.
    + swap build-dependency on 'python-dev' to 'python'.
    + remove conflict on 'gksu (<< 0.8.0)', that version is long gone.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Dec 2015 13:57:27 +0000

galternatives (0.13.5+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change all hardcoded instances of /usr/sbin/update-alternatives to
    use a variable that points to /usr/bin/update-alternatives.
    Closes: #749895. Thanks to Margarita Manterola.
  * Apply Ubuntu's changes:
    - Update desktop file to current standards and remove empty TryExec
    - galternatives.desktop.in, galternatives.desktop: add Settings in
      Categories to install icon in Settings menu entry
    - debian/galternatives.menu: update section to
      Applications/System/Administration
    Closes: #589012. Thanks to Angel Abad.
    Closes: #472662. Thanks to Stefano Rivera.
  * Fix typo in main.py. Closes: #550199. Thanks to Chris Leick.
  * Fix encoding problem in Spanish translation. Closes: #696589.
    Thanks to Christian Perrier.
  * Add initial Deutsch translation. Closes: #550197. Thanks to Chris Leick.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 02 Jun 2014 15:35:07 +0200

galternatives (0.13.5+nmu2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Non-maintainer upload.
  * Change XS-Python-Version from "current" to ">= 2.4" (closes: #586317)

  [ Andreas Barth ]
  * actually uploading to unstable

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 25 Jun 2010 18:37:51 +0000

galternatives (0.13.5) unstable; urgency=low

  * take over package (Closes: #365365)
  * fix problem with rebuilding package by converting to dh7
    (Closes: #574767)

 -- Ryan Niebur <ryan@debian.org>  Mon, 29 Mar 2010 00:03:14 -0700

## galternatives 0.13.5+nmu2

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs
-Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext
+Maintainer: Ryan Niebur <ryan@debian.org>
+Build-Depends: debhelper (>= 7.2)
+Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext, python-glade2
 Standards-Version: 3.7.2
+XS-Python-Version: >= 2.4
 
 Package: galternatives
 Architecture: all

## galternatives 0.13.5+nmu2ubuntu1

=== debian/changelog ===
galternatives (0.13.5+nmu2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #605311). Remaining changes:
    - Update desktop file to current standards and remove empty TryExec
    - galternatives.desktop.in, galternatives.desktop: add Settings in Categories
      to install icon in Settings menu entry
    - debian/galternatives.menu: update section to Applications/System/
      Administration

 -- Angel Abad <angelabad@gmail.com>  Sat, 26 Jun 2010 01:24:37 +0100

galternatives (0.13.5ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #588901) Remaining changes:
    - Update desktop file to current standards and remove empty TryExec
  * galternatives.desktop.in, galternatives.desktop: add Settings in Categories
    to install icon in Settings menu entry
  * debian/galternatives.menu: update section to Applications/System/
    Administration


 -- Stefano Rivera <stefano@rivera.za.net>  Wed, 02 Jun 2010 22:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.2)
 Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext, python-glade2
 Standards-Version: 3.7.2

=== debian/rules ===
#!/usr/bin/make -f

CMD=$(subst override_,,$@)

%:
	dh --buildsystem=python_distutils --with python-support $@

override_dh_auto_build:
	/bin/sh translations/update-translations.sh
	$(CMD)

override_dh_auto_install:
	/bin/sh translations/install-translations.sh
	$(CMD)

## galternatives 0.13.5+nmu3+deb8u1

=== debian/changelog ===
galternatives (0.13.5+nmu3+deb8u1) jessie; urgency=medium

  * Adopt package, switch maintainer information.
  * Fix the bug which causes properties window blank. Closes: #325172

 -- Boyuan Yang <073plan@gmail.com>  Sun, 02 Jul 2017 22:39:49 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ Boyuan Yang <073plan@gmail.com>
 Build-Depends: debhelper (>= 7.2)
 Build-Depends-Indep: python-dev (>= 2.3), python-support (>= 0.3), intltool, gettext, python-glade2
 Standards-Version: 3.7.2

## galternatives 0.13.5+nmu4

=== debian/control ===
Source: galternatives
Section: admin
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7.2)
Build-Depends-Indep: python, dh-python, intltool, gettext, python-glade2
Standards-Version: 3.7.2
X-Python-Version: >= 2.4

Package: galternatives
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-glade2
Recommends: gksu
Description: graphical setup tool for the alternatives system
 A GUI to help the system administrator to choose what program
 should provide a given service.
 .
 This is a graphical front-end to the update-alternatives
 program shipped with dpkg.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CMD=$(subst override_,,$@)
 
 %:
-	dh --buildsystem=python_distutils --with python-support $@
+	dh --buildsystem=python_distutils --with python2 $@
 
 override_dh_auto_build:
 	/bin/sh translations/update-translations.sh

## galternatives 0.13.5+nmu4+deb9u1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: galternatives
 Section: admin
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ Boyuan Yang <073plan@gmail.com>
 Build-Depends: debhelper (>= 7.2)
 Build-Depends-Indep: python, dh-python, intltool, gettext, python-glade2
 Standards-Version: 3.7.2

## galternatives 0.13.6

=== debian/changelog ===
galternatives (0.13.6) unstable; urgency=medium

  * Adopt package. (Closes: #856289)
  * Fix the bug that properties subwindow become blank.
    (Closes: #325172)
  * Apply "wrap-and-sort -abst".
  * d/compat: bump to v10.
  * d/menu: drop obsoleted xpm file and menu file.
  * debian/control:
    + Bump Standards-Version to 3.9.8. (No changes needed)
    + Bump dependency to debhelper to 10~.
    + Write collab-maint url for Vcs-*.
  * d/copyright: rewrite with machine-readable format.
    - Explicitly mark license as GPL-1+ since original declaration
      only said "GPL".
  * d/rules:
    + Fix grammar for "dh" tool.
  * translation:
    + Refresh translations.
    + Add Simplified Chinese translation.
  * add a .gitignore file for .mo files.
  * bump "galternatives" python package version to 0.13.6.
  * remove obsoleted line for "list-mos.sh" in setup.py.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 13 Jun 2017 08:56:48 +0800

=== debian/control ===
Source: galternatives
Section: admin
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10~),
Build-Depends-Indep:
 dh-python,
 gettext,
 intltool,
 python,
 python-glade2,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/galternatives.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/galternatives.git
X-Python-Version: >= 2.7

Package: galternatives
Architecture: all
Depends:
 python-glade2,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 gksu,
Description: graphical setup tool for the alternatives system
 A GUI to help the system administrator to choose what program
 should provide a given service.
 .
 This is a graphical front-end to the update-alternatives
 program shipped with dpkg.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CMD=$(subst override_,,$@)
 
 %:
-	dh --buildsystem=python_distutils --with python2 $@
+	dh $@ --buildsystem=python_distutils --with python2
 
 override_dh_auto_build:
 	/bin/sh translations/update-translations.sh

## galternatives 0.90.0

=== debian/changelog ===
galternatives (0.90.0) unstable; urgency=medium

  * Add a new svg icon.
  * Add support for XDG path.
  * Port to python3. (Closes: #872989)
  * Add some useful command line arguments.
  * Various bug fixes and enhancement.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 26 Aug 2017 22:55:00 +0800

galternatives (0.90.0~exp1) experimental; urgency=medium

  * Major rewrite and migration to glade3.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 22 Aug 2017 13:56:29 +0800

=== debian/control ===
Source: galternatives
Section: admin
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 intltool,
 python3,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/galternatives.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/galternatives.git
X-Python3-Version: >= 3.5

Package: galternatives
Architecture: all
Depends:
 python3,
 gir1.2-gtk-3.0,
 python3-gi,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 policykit-1,
Suggests:
 gksu,
Description: graphical setup tool for the alternatives system
 A GUI to help the system administrator to choose what program
 should provide a given service.
 .
 This is a graphical front-end to the update-alternatives
 program shipped with dpkg.

## galternatives 0.92

=== debian/changelog ===
galternatives (0.92) unstable; urgency=medium

  * Drop polkit policy file; provided by dpkg (>= 1.19.0.1).

 -- Boyuan Yang <073plan@gmail.com>  Tue, 17 Oct 2017 17:34:32 +0800

galternatives (0.91) unstable; urgency=medium

  * New release.
    + Minor modification on svg icon.
    + Various fixes.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 18:23:31 +0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Package: galternatives
 Architecture: all
 Depends:
- python3,
  gir1.2-gtk-3.0,
  python3-gi,
  python3-xdg,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/sbin

%:
	dh $@ --with python3 --buildsystem=pybuild

## galternatives 0.92.1

=== debian/changelog ===
galternatives (0.92.1) unstable; urgency=medium

  * Add de translation provided by Chris Leick. (Closes: #879067)
  * Update zh_TW translation provided by Gavin Lai.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 25 Oct 2017 11:08:30 +0800

## galternatives 0.92.2

=== debian/changelog ===
galternatives (0.92.2) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release.
    + Remove gksu support.
    + Mark python3 as default python version.
    + Various improvement.

  [ Boyuan Yang ]
  * d/control: Bump Standards-Version to 4.1.3.
  * d/control: Move Vcs to Salsa platform.
  * d/control: Bump debhelper compat to v11.
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 31 Jan 2018 00:11:57 +0800

=== debian/control ===
Source: galternatives
Section: admin
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 intltool,
 python3,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
X-Python3-Version: >= 3.5

Package: galternatives
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 policykit-1,
 python3-xdg,
Description: graphical setup tool for the alternatives system
 A GUI to help the system administrator to choose what program
 should provide a given service.
 .
 This is a graphical front-end to the update-alternatives
 program shipped with dpkg.

## galternatives 0.92.3

=== debian/changelog ===
galternatives (0.92.3) unstable; urgency=medium

  * Add Danish translation (by scootergrisen).
  * Fix translation_credit information for fr.po.
  * d/control: Add runtime dependency python3-distutils.
    Closes: #894142.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Mar 2018 15:22:06 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  Boyuan Yang <073plan@gmail.com>,
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
  dh-python,
  intltool,
  python3,
+ python3-distutils,
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
@@ -19,6 +20,7 @@
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
+ python3-distutils,
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},

## galternatives 0.92.4

=== resources/Makefile ===
DESKTOP_SRC := $(wildcard *.desktop.in)
DESKTOP := $(DESKTOP_SRC:.in=)
DESC_SRC := $(wildcard descriptions/*.desktop.in)
DESC := $(DESC_SRC:.in=)
GLADE := $(wildcard glade/*.glade)
UI := $(wildcard glade/*.ui)
GLADE += $(UI:.ui=.glade)
TRANSLATION_SRC := $(wildcard translations/*.po)
TRANSLATION := $(TRANSLATION_SRC:translations/%.po=locale/%/LC_MESSAGES/galternatives.mo)
SRC := $(wildcard ../galternatives/*.py)
space :=
space +=

.PHONY: all extract update clean

# all

all: $(DESKTOP) $(DESC) $(TRANSLATION)

%.desktop: %.desktop.in
	intltool-merge -d translations $< $@

locale/%/LC_MESSAGES/galternatives.mo: translations/%.po
	mkdir -p $(dir $@)
	msgfmt --statistics -o $@ $<

# extract

extract: translations/POTFILES.in
	(cd translations; intltool-update -g galternatives -p)

translations/POTFILES.in: $(SRC) $(DESKTOP_SRC) $(DESC_SRC) $(GLADE)
	echo '[encoding: UTF-8]' > $@
	echo $(subst $(space),\\n,$(SRC)) >> $@
	echo $(subst $(space),\\n,$(DESKTOP_SRC)) >> $@
	echo $(subst $(space),\\n,$(DESC_SRC)) >> $@
	echo $(subst $(space),\\n,$(GLADE)) >> $@

%.glade: %.ui
	ln -s $(notdir $<) $@

# update

update: $(TRANSLATION_SRC:.po=.update.po)

%.update.po: %.po
	msgmerge -o $@ $< translations/galternatives.pot
	mv $@ $<

# clean

clean:
	rm -f $(DESKTOP) $(DESC) $(UI:.ui=.glade) translations/POTFILES.in
	rm -rf locale

=== debian/changelog ===
galternatives (0.92.4) unstable; urgency=medium

  * Avoid runtime dependency on distutils.
  * Explicitly add distutils as build dependency.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Apr 2018 16:10:00 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  intltool,
  python3,
  python3-distutils,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
 X-Python3-Version: >= 3.5
@@ -20,7 +20,6 @@
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
- python3-distutils,
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},

## galternatives 1.0.0

=== debian/changelog ===
galternatives (1.0.0) unstable; urgency=medium

  * New stable release.
    - Add feature to search entries.
  * No longer install executable into sbin directory.
  * d/copyright: Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 14 Jun 2018 12:17:38 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
-X-Python3-Version: >= 3.5
+X-Python3-Version: >= 3.6
 
 Package: galternatives
 Architecture: all

## galternatives 1.0.1

=== debian/changelog ===
galternatives (1.0.1) unstable; urgency=medium

  * New stable release.
    + Add more descriptions to alternative groups.
    + Fix some typos.
    + Add function to exit searching with Esc button.
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Fri, 17 Aug 2018 11:23:16 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  intltool,
  python3,
  python3-distutils,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
 X-Python3-Version: >= 3.6

## galternatives 1.0.2

=== debian/changelog ===
galternatives (1.0.2) unstable; urgency=medium

  * New stable release.
    + Replace homemade GtkTemplate with Gtk.Template.
    + Update da.po translation.
  * debian/control:
    + Add new dependency gir1.2-gdkpixbuf-2.0.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Nov 2018 11:23:48 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
  debhelper (>= 11~),
@@ -11,7 +11,7 @@
  intltool,
  python3,
  python3-distutils,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
 X-Python3-Version: >= 3.6
@@ -20,6 +20,7 @@
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
+ gir1.2-gdkpixbuf-2.0,
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},

## galternatives 1.0.3

=== debian/changelog ===
galternatives (1.0.3) unstable; urgency=medium

  * New stable release.
    + Fix translation po file headers.
    + Correct parameters in zh translation.
    + Update copyright year to 2019.
  * Rebuild for Debian Buster.
  * debian/control:
    + Bump Standards-Version to 4.3.0 (no changes needed).
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Jan 2019 13:59:59 -0500

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -c "import galternatives; assert galternatives.INFO['version'] == '$(DEB_VERSION_UPSTREAM)'"
endif

## galternatives 1.0.4

=== debian/changelog ===
galternatives (1.0.4) unstable; urgency=medium

  * New maintenance release.
  * Add/update translations, with thanks to:
    - Czech, Pavel Borecki.
    - Dutch, Frans Spiesschaert (Closes: #921944).
    - German, Chris Leick (Closes: #922510).

 -- Yangfl <mmyangfl@gmail.com>  Wed, 20 Feb 2019 14:57:01 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Boyuan Yang <byang@debian.org>,
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  intltool,
  python3,
  python3-distutils,
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
 X-Python3-Version: >= 3.6
@@ -19,8 +20,8 @@
 Package: galternatives
 Architecture: all
 Depends:
+ gir1.2-gdkpixbuf-2.0,
  gir1.2-gtk-3.0,
- gir1.2-gdkpixbuf-2.0,
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export PYBUILD_NAME=galternatives
 
 include /usr/share/dpkg/pkg-info.mk

## galternatives 1.0.5

=== debian/changelog ===
galternatives (1.0.5) unstable; urgency=medium

  * New maintenance release.
  * Correct application title display under GNOME Shell (WMClass).

 -- Boyuan Yang <byang@debian.org>  Mon, 20 May 2019 16:24:17 -0400

## galternatives 1.0.6

=== debian/changelog ===
galternatives (1.0.6) unstable; urgency=medium

  * New maintenance release.
  * Rebuild for Ubuntu 20.04 LTS.
  * resources/galternatives: Explicitly use python3 in shebang.
  * debian/rules: Use dh-sequencer-python3.
  * debian/control: Bump Standards-Version to 4.5.0.
  * debian/copyright: Refresh information.
  * resources: Add an AppStream metainfo XML file.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2020 12:47:57 -0500

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
- dh-python,
+ dh-sequence-python3,
  intltool,
  python3,
  python3-distutils,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
 X-Python3-Version: >= 3.6

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## galternatives 1.0.7

=== debian/changelog ===
galternatives (1.0.7) unstable; urgency=medium

  * translations: Update de,nl translation.
    (Closes: #953987, #956366)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jul 2020 12:02:48 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  intltool,
  python3,

## galternatives 1.0.8

=== resources/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 DESKTOP := $(DESKTOP_SRC:.in=)
 DESC_SRC := $(wildcard descriptions/*.desktop.in)
 DESC := $(DESC_SRC:.in=)
+METAINFO_SRC := $(wildcard *.metainfo.xml.in)
+METAINFO := $(METAINFO_SRC:.in=)
 GLADE := $(wildcard glade/*.glade)
 UI := $(wildcard glade/*.ui)
 GLADE += $(UI:.ui=.glade)
@@ -15,10 +17,13 @@
 
 # all
 
-all: $(DESKTOP) $(DESC) $(TRANSLATION)
+all: $(DESKTOP) $(DESC) $(METAINFO) $(TRANSLATION)
 
 %.desktop: %.desktop.in
 	intltool-merge -d translations $< $@
+
+%.metainfo.xml: %.metainfo.xml.in
+	intltool-merge -d translations -x $< $@
 
 locale/%/LC_MESSAGES/galternatives.mo: translations/%.po
 	mkdir -p $(dir $@)
@@ -29,11 +34,12 @@
 extract: translations/POTFILES.in
 	(cd translations; intltool-update -g galternatives -p)
 
-translations/POTFILES.in: $(SRC) $(DESKTOP_SRC) $(DESC_SRC) $(GLADE)
+translations/POTFILES.in: $(SRC) $(DESKTOP_SRC) $(DESC_SRC) $(METAINFO_SRC) $(GLADE)
 	echo '[encoding: UTF-8]' > $@
 	echo $(subst $(space),\\n,$(SRC)) >> $@
 	echo $(subst $(space),\\n,$(DESKTOP_SRC)) >> $@
 	echo $(subst $(space),\\n,$(DESC_SRC)) >> $@
+	echo $(subst $(space),\\n,$(METAINFO_SRC)) >> $@
 	echo $(subst $(space),\\n,$(GLADE)) >> $@
 
 %.glade: %.ui

=== debian/changelog ===
galternatives (1.0.8) unstable; urgency=medium

  * New maintenance release.
  * Fix FTBFS for possible binNMU (Closes: #975045).

  [ Sven Mueller ]
  * Add build dependency on gir1.2-gdk-3.0 (Closes: #975041).

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jan 2021 09:21:27 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ gir1.2-gdk-3.0,
  intltool,
  python3,
  python3-distutils,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=galternatives

include /usr/share/dpkg/pkg-info.mk

VERSION = $(call dpkg_late_eval,VERSION,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+b[0-9]*$$//')


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	$(RM) galternatives/version.py

galternatives/version.py:
	echo 'VERSION = "$(VERSION)"' > $@

execute_before_dh_auto_configure: galternatives/version.py

## galternatives 1.0.9

=== debian/changelog ===
galternatives (1.0.9) unstable; urgency=medium

  * New maintenance release.
  * d/control:
    + Replace transitional package dependency: policykit-1 -> pkexec.
    + Bump Standards-Version to 4.6.1.
    + Drop legacy X-Python3-Version field.
  * translations: Add Turkish translation.
  * setup.py: Move from distutils to setuptools.
  * galternatives/__init__.py: Use "org.debian.*" namespace instead
    of "org.debian.experimental.*" namespace.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 17:25:24 -0400

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  gir1.2-gdk-3.0,
  intltool,
  python3,
- python3-distutils,
+ python3-gi,
+ python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives
-X-Python3-Version: >= 3.6
 
 Package: galternatives
 Architecture: all
@@ -27,7 +27,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- policykit-1,
+ pkexec,
  python3-xdg,
 Description: graphical setup tool for the alternatives system
  A GUI to help the system administrator to choose what program

## galternatives 1.0.10

=== resources/Makefile ===
--- 
+++ 
@@ -10,13 +10,9 @@
 TRANSLATION_SRC := $(wildcard translations/*.po)
 TRANSLATION := $(TRANSLATION_SRC:translations/%.po=locale/%/LC_MESSAGES/galternatives.mo)
 SRC := $(wildcard ../galternatives/*.py)
-space :=
-space +=
 
-.PHONY: all extract update clean
 
-# all
-
+.PHONY: all
 all: $(DESKTOP) $(DESC) $(METAINFO) $(TRANSLATION)
 
 %.desktop: %.desktop.in
@@ -29,32 +25,25 @@
 	mkdir -p $(dir $@)
 	msgfmt --statistics -o $@ $<
 
-# extract
-
+.PHONY: extract
 extract: translations/POTFILES.in
 	(cd translations; intltool-update -g galternatives -p)
 
 translations/POTFILES.in: $(SRC) $(DESKTOP_SRC) $(DESC_SRC) $(METAINFO_SRC) $(GLADE)
 	echo '[encoding: UTF-8]' > $@
-	echo $(subst $(space),\\n,$(SRC)) >> $@
-	echo $(subst $(space),\\n,$(DESKTOP_SRC)) >> $@
-	echo $(subst $(space),\\n,$(DESC_SRC)) >> $@
-	echo $(subst $(space),\\n,$(METAINFO_SRC)) >> $@
-	echo $(subst $(space),\\n,$(GLADE)) >> $@
+	echo $? | sed -e 's/ /\n/g' >> $@
 
 %.glade: %.ui
 	ln -s $(notdir $<) $@
 
-# update
-
+.PHONY: update
 update: $(TRANSLATION_SRC:.po=.update.po)
 
 %.update.po: %.po
 	msgmerge -o $@ $< translations/galternatives.pot
 	mv $@ $<
 
-# clean
-
+.PHONY: clean
 clean:
 	rm -f $(DESKTOP) $(DESC) $(UI:.ui=.glade) translations/POTFILES.in
 	rm -rf locale

=== debian/changelog ===
galternatives (1.0.10) unstable; urgency=medium

  * Fix FTBFS (Closes: #1077407).
  * Bump Standards-Version to 4.7.0.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 28 Aug 2024 15:43:21 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-gi,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/chinese-team/galternatives.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/galternatives

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-VERSION = $(call dpkg_late_eval,VERSION,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+b[0-9]*$$//')
+VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+.*$$//')
 
 
 %:
 	dh $@ --buildsystem=pybuild
 
-execute_after_dh_auto_clean:
+execute_before_dh_auto_clean:
 	$(RM) galternatives/version.py
 
 galternatives/version.py:

## galternatives 1.0.10build1

=== debian/changelog ===
galternatives (1.0.10build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:23:44 +0000
